Update Persona
PATCH /agents/{agent_id}/personas/{persona_id}404 on an unknown id. Never an upsert.
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
agent_id | path | string (uuid) | required | — |
persona_id | path | string (uuid) | required | — |
Request body — PersonaPatch
Section titled “Request body — PersonaPatch”| Field | Type | Notes | |
|---|---|---|---|
name | string | null | optional | — |
prompt_suffix | string | null | optional | — |
tool_subset | string[] | null | optional | — |
sub_agent_subset | string[] | null | optional | — |
model_ref | string | null | optional | — |
model_params | object | null | optional | — |
attributes | object | null | optional | — |
is_active | boolean | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | PersonaView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X PATCH https://your-deployment.example.com/agents/{agent_id}/personas/{persona_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — PersonaView
Section titled “Response — PersonaView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
agent_id | string (uuid) | required | — |
scope | workspace | organization | platform | required | — |
slug | string | required | — |
name | string | required | — |
prompt_suffix | string | null | required, nullable | — |
tool_subset | string[] | null | required, nullable | — |
sub_agent_subset | string[] | null | required, nullable | — |
model_ref | string | null | required, nullable | — |
model_params | object | null | required, nullable | — |
attributes | object | required | — |
is_active | boolean | required | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |